Operations API
POST /services/operations/v1/admin/master-cards/create Auth

Create Master Card

Requires superadmin access.

Request Body Required

FieldTypeRequiredDescriptionExample
group_id integer Yes 15
title string
max: 255
Yes Connect your domain
description string|null No <p>Go to settings and connect your custom domain.</p>
unique_identifier string|null
max: 100
No connect_domain
evaluation_check string|null
max: 100
No has_domain_connected
tour_key string|null
max: 100
No domain_setup_tour
short_description string|null No Connect a custom domain to your website
status string|null
open, in_progress, closed, to_check, blocked
No open
is_active boolean|null No true
priority string|null
low, normal, high, urgent
No normal
push_to_projects boolean|null No true

Responses

500
201
422
404
400
401
403
429
Internal server error
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
data mixed[]
Resource created
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
data object
data.card object
data.projects_updated string
Validation error
FieldTypeDescription
message string Errors overview.
errors object A detailed description of each field that failed validation.
Resource not found
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
data mixed[]
Bad request
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
data mixed[]
Unauthenticated — missing or invalid Bearer token
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Forbidden — insufficient permissions for this resource
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/operations/v1/admin/master-cards/create" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "group_id": 15,
    "title": "Connect your domain",
    "description": "

Go to settings and connect your custom domain.

", "unique_identifier": "connect_domain", "evaluation_check": "has_domain_connected", "tour_key": "domain_setup_tour", "short_description": "Connect a custom domain to your website", "status": "open", "is_active": true, "priority": "normal", "push_to_projects": true }'
fetch('https://api.wemasy.nl/api/services/operations/v1/admin/master-cards/create', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "group_id": 15,
    "title": "Connect your domain",
    "description": "

Go to settings and connect your custom domain.

", "unique_identifier": "connect_domain", "evaluation_check": "has_domain_connected", "tour_key": "domain_setup_tour", "short_description": "Connect a custom domain to your website", "status": "open", "is_active": true, "priority": "normal", "push_to_projects": true })}) .then(r => r.json()) .then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/operations/v1/admin/master-cards/create', {
    "group_id": 15,
    "title": "Connect your domain",
    "description": "

Go to settings and connect your custom domain.

", "unique_identifier": "connect_domain", "evaluation_check": "has_domain_connected", "tour_key": "domain_setup_tour", "short_description": "Connect a custom domain to your website", "status": "open", "is_active": true, "priority": "normal", "push_to_projects": true }); $data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "group_id": 15,
    "title": "Connect your domain",
    "description": "

Go to settings and connect your custom domain.

", "unique_identifier": "connect_domain", "evaluation_check": "has_domain_connected", "tour_key": "domain_setup_tour", "short_description": "Connect a custom domain to your website", "status": "open", "is_active": true, "priority": "normal", "push_to_projects": true } r = requests.post("https://api.wemasy.nl/api/services/operations/v1/admin/master-cards/create", headers=headers, json=data) print(r.json())
Response Example
{
    "error": false,
    "message": "string",
    "data": {
        "card": {
            "id": 0,
            "project_id": 0,
            "platform_id": 0,
            "is_master": true,
            "is_active": true,
            "master_card_id": 0,
            "unique_identifier": "string",
            "evaluation_check": "string",
            "tour_key": "string",
            "short_description": "string",
            "group_id": 0,
            "title": "string",
            "description": "string",
            "status": "string",
            "owner_id": 0,
            "tag_id": 0,
            "due_date": "string",
            "snoozed_until": "string",
            "priority": "string",
            "sort_order": 0,
            "position": 0,
            "is_overdue": true,
            "created_by": 0,
            "created_at": "string",
            "updated_at": "string",
            "deleted_at": "string"
        },
        "projects_updated": "string"
    }
}

Try It
Request Body Required

Export